ElectroNeek Documentation

Esta página aún no está traducida al español, por lo que se muestra en inglés.

Get info of a Bot Runner

This returns detailed information on a specific Bot Runner including all the workflows where the Bot Runner is assigned.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runner/{id}

{region} puede ser: na, cis, apac, latam, emea

Pruébalo

Se envía desde tu navegador directamente a la API (nada pasa por este sitio) y el token API solo se guarda en esta pestaña.
Parámetros de ruta
Completa id para enviar esta solicitud.
cURL
curl --request GET \
  --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runner/{id}'

Autenticación

Usa un token API de la página Orquestador → Integraciones. Envíalo como token bearer: Authorization: Bearer <token>.

Parámetros de ruta

NombreTipoObligatorioDescripción
idstringsíBot Runner ID

Respuesta

200Success
Cuerpo de la respuesta
object
iduuidobligatorio

ID of the Bot Runner

namestringobligatorio

Name of the Bot Runner

statusstring (ready, in_progress, offline)obligatorio

Status of the Bot Runner

versionstringobligatorio

Version of the Bot Runner

login_asobjectobligatorio

Organization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens

object
typestring
valuestring
host_namestringobligatorio

Name of the computer where Bot Runner is installed.

status_sincedate-time
assigned_workflowsarray of objects
object
iduuidobligatorio
namestringobligatorio
descriptionstringobligatorio
Actualizado